<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonTempReportData_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonTempReportData_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the Monitoring report which RadarSS sends to the host, containing the measured temperature near various RF analog and digital modules. The xWR device sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event:RL_RF_AE_MON_TEMPERATURE_REPORT_SB.  
 <a href="structrl_mon_temp_report_data__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aae1c30a0b4d8a6f1c8a669a6df8a3d56"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae1c30a0b4d8a6f1c8a669a6df8a3d56"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_temp_report_data__t.html#aae1c30a0b4d8a6f1c8a669a6df8a3d56">statusFlags</a></td></tr>
<tr class="memdesc:aae1c30a0b4d8a6f1c8a669a6df8a3d56"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding to <br />
 various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_ANA_TEMP_MIN <br />
 [1] STATUS_ANA_TEMP_MAX <br />
 [2] STATUS_DIG_TEMP_MIN <br />
 [3] STATUS_DIG_TEMP_MAX <br />
 [4] STATUS_TEMP_DIFF_THRESH <br />
 [15:5]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:aae1c30a0b4d8a6f1c8a669a6df8a3d56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fad3dcabae2b4fc1ce39a1669335ee9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0fad3dcabae2b4fc1ce39a1669335ee9"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_temp_report_data__t.html#a0fad3dcabae2b4fc1ce39a1669335ee9">errorCode</a></td></tr>
<tr class="memdesc:a0fad3dcabae2b4fc1ce39a1669335ee9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:a0fad3dcabae2b4fc1ce39a1669335ee9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae1a4dd27041b98b917d829dcd8bdb11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae1a4dd27041b98b917d829dcd8bdb11"></a>
rlInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_temp_report_data__t.html#aae1a4dd27041b98b917d829dcd8bdb11">tempValues</a> [10U]</td></tr>
<tr class="memdesc:aae1a4dd27041b98b917d829dcd8bdb11"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured onchip temperatures are reported here. <br />
 Byte numbers corresponding to different temperature sensors <br />
 reported in this field are here: <br />
 Bytes SIGNAL <br />
 [1:0] TEMP_RX0 <br />
 [3:2] TEMP_RX1 <br />
 [5:4] TEMP_RX2 <br />
 [7:6] TEMP_RX3 <br />
 [9:8] TEMP_TX0 <br />
 [11:10] TEMP_TX1 <br />
 [13:12] TEMP_TX2 <br />
 [15:14] TEMP_PM <br />
 [17:16] TEMP_DIG1 <br />
 [19:18] TEMP_DIG2 (Applicable only in xWR1642) <br />
 1 LSB = 1 degree C, signed number <br />
. <br /></td></tr>
<tr class="separator:aae1a4dd27041b98b917d829dcd8bdb11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a670ad17357f1c020092daa049471f3ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a670ad17357f1c020092daa049471f3ca"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_temp_report_data__t.html#a670ad17357f1c020092daa049471f3ca">reserved0</a></td></tr>
<tr class="memdesc:a670ad17357f1c020092daa049471f3ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a670ad17357f1c020092daa049471f3ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1699f39cd8399312e974a399e6feddcf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1699f39cd8399312e974a399e6feddcf"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_temp_report_data__t.html#a1699f39cd8399312e974a399e6feddcf">timeStamp</a></td></tr>
<tr class="memdesc:a1699f39cd8399312e974a399e6feddcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond <br />
 (the stamp rolls over upon exceeding allotted bit width) <br />
. <br /></td></tr>
<tr class="separator:a1699f39cd8399312e974a399e6feddcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the Monitoring report which RadarSS sends to the host, containing the measured temperature near various RF analog and digital modules. The xWR device sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event:RL_RF_AE_MON_TEMPERATURE_REPORT_SB. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
